import { prisma } from './prisma'

export async function generateOrderNumber(): Promise<string> {
  const count = await prisma.order.count()
  const num = String(count + 1).padStart(3, '0')
  return `CC2026-${num}`
}
